##title=Add item to subscriptions
##parameters=ptype='', id='', subscriber_uid=''
# -*- coding: utf-8 -*-

from Products.CMFCore.utils import getToolByName

RESPONSE = context.REQUEST.RESPONSE
ftool = getToolByName(context, 'portal_subscription')
provider = ftool.getSubscriptionProvider()
url = '%s/%s' % (
    context.absolute_url(),
    context.getTypeInfo().getActionById('view')
    )

if provider is None:
    psm = 'psm_subscriptions_provider_cannot_be_acceded'
    return RESPONSE.redirect('%s?portal_status_message=%s' % (url, psm))

if not ftool.getSubscriber():
    ftool.addSubscriber()

keywords = {}
if context.REQUEST.form:
    keywords.update(context.REQUEST.form)
else:
    keywords = {
        'rpath': context.absolute_url(relative=1),
        'folder': context.UID(),
        'recursive': False,
        'title': context.TitleOrId(),
        }

if ptype == '':
    ptype = 'FolderSubscription'

if keywords.has_key('ptype'):
    ptype = keywords['ptype']
    del keywords['ptype']

subscription = ftool.setSubscription(id=id,  ptype=ptype,
                                     subscriber_uid=subscriber_uid, **keywords)

if subscription:
    psm = 'psm_subscriptions_page_added'
else:
    psm = 'psm_subscriptions_page_not_added'
return RESPONSE.redirect('%s?portal_status_message=%s' % (url, psm))
