## Script (Python) "get_plonesubscription_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
selenium = context.portal_selenium
suite = selenium.getSuite()
target_language='en'
suite.setTargetLanguage(target_language)

selenium.addUser(id = 'sampleadmin',fullname='Sample Admin',roles=['Member', 'Manager',])
selenium.addUser(id = 'samplemember',fullname='Sample Member',roles=['Member',])

test_logout = suite.TestLogout()
test_admin_login  = suite.TestLoginPortlet('sampleadmin')
test_member_login  = suite.TestLoginPortlet('samplemember')
test_switch_language = suite.TestSwitchToLanguage()

plone21 = selenium.getPloneVersion() > "2.0.5"

if plone21:
    delete_from_folder = "/folder_delete?paths:list=" + suite.getTest().base + '/'
else:
    delete_from_folder = "/folder_delete?ids:list="

suite.addTests("PloneSubscription",
    'Login as Sample Admin',
    test_admin_login,
    test_switch_language,
    'Add subscription',
    suite.open("/"),
    suite.open("/front-page/addSubscription"),
    suite.verifyTextPresent("Page added to subscriptions."),
    'Edit Subscription',
    suite.open("/"),
    suite.clickAndWait("link=My subscriptions"),
    suite.verifyTextPresent("Welcome to Plone"),
    suite.clickAndWait("name=edit_subscription"),
    )

return suite
